The Alternative Csound Reference Manual
Previous |  | Next

# sinh

sinh -- Performs a hyperbolic sine function.

## Description

Returns the hyperbolic sine of x (x in radians).

## Syntax

sinh(x) (no rate restriction)

## Examples

Here is an example of the sinh opcode. It uses the files sinh.orc and sinh.sco.

Example 1. Example of the sinh opcode.

    /* sinh.orc */
    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 1
      i1 = sinh(irad)

      print i1
    endin
    /* sinh.orc */

    /* sinh.sco */
    ; Play Instrument #1 for one second.
    i 1 0 1
    e
    /* sinh.sco */

Its output should a line like this:

    instr 1:  i1 = 1.175

## See Also

cos, cosh, cosinv, sin, sininv, tan, tanh, taninv

## Credits

Example written by Kevin Conder.

Previous | Home | Next
sin | Up | sininv